/* Editore.java */


public class Editor extends Thread {
  private Channel channel;
  private int identifier;

  private final static int NUMBER_OF_MESSAGES = 8;


  // Constructor method
  public Editor(Channel c, int id) {
    super("Editor");
    channel = c;
    identifier=id;
  }

  public void run() {
    System.out.println("\nEditor"+identifier+": begins...");
    try {
      int i = 0;
      for(i=0; i<NUMBER_OF_MESSAGES; i++) { //for
        System.out.println("E"+identifier+": message " + i);
        channel.put("E"+identifier+": message " + i);
        Thread.sleep(3000);
      } //for
    } catch (Exception e) {
      e.printStackTrace();
    }
    System.out.println("E: ends...");
  } //run()
} //Editor
