/* testMain.java */

public class testMain {
  final static int NUM_SUBSCRIBERS = 5;
  final static int NUM_EDITORS = 5;

  public static void main(String[] args) {
    Subscriber subscriber;
    Channel channel;
    Editor editor;
    try {
      // Create the channel and start the thread
      channel = new Channel();
      channel.start();
      
      for (int i = 0; i < NUM_SUBSCRIBERS; i++) {
        // Create the subscribers and start the threads
        subscriber = new Subscriber(channel, i);
        subscriber.start();
      } //for

      for (int i = 0; i < NUM_SUBSCRIBERS; i++) {
        // Create the subscribers and start the threads
        editor = new Editor(channel, i);
        editor.start();
      } //for

    
    } catch (Exception err) {
      System.err.println("Error, the following: " + err);
      System.exit(1);
    } //catch
  } //main
} //testMain
